### Function

# Gdk Display open

#### Declaration [src]

    GdkDisplay*
    gdk_display_open (
      const char* display_name
    )

#### Description [src]

Opens a display.

If opening the display fails, `NULL` is returned.

#### Parameters

`display_name` | `const char*`
| The name of the display to open.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GdkDisplay`
| A `GdkDisplay`.
| The data is owned by the called function.
| The return value can be `NULL`.